using System;

namespace Quadarax.Foundation.Core.Exceptions
{
    [Serializable]
    public class CodeException : Exception
    {
        public CodeException(int code, string message, Exception innerException) : base(message, innerException)
        {
            this.SetCode(code);
        }

        public CodeException(int code, string message) : base(message)
        {
            this.SetCode(code);
        }
    }
}
